Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class Command

    java.lang.Object
      SEdit.Command

All Implemented Interfaces:
  Executable

Direct Known Subclasses:
  FunctionCommand, MethodCallCommand, NewArrowCommand, NewNodeCommand, SelectionCommand

    public class Command

extends java.lang.Object
implements Executable

The description of an action that might be requested on a whole structure or on a single element (node or arrow). Usually defined in the formalism file

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `desc`
`protected java.lang.String` | `icon`

Constructor Summary
`Command()`
`Command(java.lang.String value)`
`Command(java.lang.String value, java.lang.String description)`
`Command(java.lang.String value, java.lang.String description, java.lang.String iconlocation)`

Method Summary
`void` | `execute()` This method executes the command.
`java.lang.String` | `getAction()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIcon()`
`boolean` | `hasDescription()`
`boolean` | `hasIcon()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### action

    protected java.lang.String action

### desc

    protected java.lang.String desc

### icon

    protected java.lang.String icon

Constructor Detail

### Command

    public Command()

### Command

    public Command(java.lang.String value)

### Command

    public Command(java.lang.String value,
                   java.lang.String description)

### Command

    public Command(java.lang.String value,
                   java.lang.String description,
                   java.lang.String iconlocation)

Method Detail

### getAction

    public java.lang.String getAction()

### getDescription

    public java.lang.String getDescription()

### getIcon

    public java.lang.String getIcon()

### hasDescription

    public boolean hasDescription()

### hasIcon

    public boolean hasIcon()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### execute

    public void execute()

  Description copied from interface: `Executable`
  This method executes the command.

  Specified by:
    `execute` in interface `Executable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.